#include <bits/stdc++.h>
using namespace std;
vector <int> res,niz;
int N,k;


vector <int> solve(vector<int> A){
    N=A.size();
    for(int i=0;i<N;i++){
        res.push_back(i);
    }
    if(N%2){
        swap(res[N-1],res[N/2]);
    }
    else{
        swap(res[N-1],res[N/2-1]);
    }

    return res;
}